select
  an.numero
  , an.nome
  , an.dtnascimento as data_nascimento
  , (select re.anos || ' anos, ' || re.meses || ' meses e ' || re.dias || ' dias' from sp_idadeanimal('PERMANENCIA', 'WHERE CDANIMAL = ' || an.cdanimal) re) as idade
  , an.sexo
  , pe.dtpeso as data_peso
  , pe.peso as peso
  , pe.gmd
  , pe.gpd
  , g1.descricao as grupo_da_pesagem
  ,  (select g.descricao
        from animal a
            left join movgrupoanimal ma on a.cdanimal = ma.cdanimal
            left join movgrupo m on m.cdmovgrupo = ma.cdmovgrupo
            left join tipogrupoanimal t on t.cdtipogrupoanimal = m.cdtipogrupoanimal
            left join grupoanimal g on g.cdgrupoanimal = m.cdgrupoanimal
        where not exists (select *
                     from movgrupoanimal ma2
                     join movgrupo m2 on ma2.cdmovgrupo = m2.cdmovgrupo
                    where ma2.cdanimal = a.cdanimal
                      and m2.dtmovimentacao > m.dtmovimentacao ) and
                        t.cdtipogrupoanimal = 3 and a.cdanimal = an.cdanimal) as grupo_atual
from
  animal an
  join peso pe on pe.cdanimal = an.cdanimal
  left join movgrupo m1 on m1.cdmovgrupo =
    (select first 1 re.cdmovgrupo from movgrupo re join movgrupoanimal rea on rea.cdmovgrupo = re.cdmovgrupo where
        rea.cdanimal = pe.cdanimal and re.dtmovimentacao <= pe.dtpeso order by re.dtmovimentacao desc)
  left join grupoanimal g1 on g1.cdgrupoanimal = m1.cdgrupoanimal
where
--BUSCA OS ANIMAIS SOMENTE DO SETOR FLOR DA SERRA
  an.cdsetor = '4'
  and an.dtbaixa is null
--INFORMAR AQUI O PERORO DAS PESAGENS CORPORAIS. MANTER O FORMATO DO PERODO 'AAAA-MM-DD'
  and pe.dtpeso between '2017-02-01' and '2017-02-28'
order by an.numordenado